Bug 660617 - (ghc-process-leksah) Review Request: ghc-process-leksah - A library for dealing with system processes in leksah
Review Request: ghc-process-leksah - A library for dealing with system proces...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shakthi Kannan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: leksah-server
  Show dependency treegraph
 
Reported: 2010-12-07 05:56 EST by Narasimhan
Modified: 2011-02-08 02:48 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-08 02:48:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shakthimaan: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Narasimhan 2010-12-07 07:18:04 EST
New srpm and spec file links (updated to v1.0.1.4)

SRPM URL: https://sites.google.com/site/lakshminaras2002/home/ghc-process-leksah-1.0.1.4-1.fc14.src.rpm?attredirects=0&d=1

SPEC file URL : https://sites.google.com/site/lakshminaras2002/home/ghc-process-leksah.spec?attredirects=0&d=1

rpmlint  -i ghc-process-leksah.spec  ghc-process-leksah*1.0.1.4*.rpm
ghc-process-leksah.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-process-leksah.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-process-leksah-devel.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-process-leksah-prof.i686: E: devel-dependency ghc-process-leksah-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-process-leksah-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-process-leksah-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/process-leksah-1.0.1.4/libHSprocess-leksah-1.0.1.4_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 5 warnings.
Comment 2 Shakthi Kannan 2011-01-19 00:27:58 EST
#001 Please use your FAS account in fedorapeople.org to upload your .spec, and .srpm.

#002 Please post Koji builds for F-14, EL-6.
Comment 4 Shakthi Kannan 2011-01-19 23:53:44 EST
 +:ok, =:needs attention, -:needs fixing,  NA: not applicable

MUST Items:
[+] MUST: rpmlint output

$ rpmlint ghc-process-leksah.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint ghc-process-leksah-1.0.1.4-1.fc14.src.rpm 
ghc-process-leksah.src: W: spelling-error Summary(en_US) Haskell -> Harrell, Rathskeller, Hastily
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

All standard and waived

[+] MUST: Package Naming Guidelines
[+] MUST: spec file name must match base package %{name}
[+] MUST: Packaging Guidelines.
[+] MUST: Licensing Guidelines
[+] MUST: License field in the package spec file must match actual license.
[+] MUST: include license files in %doc if available in source
[+] MUST: The spec file must be written in American English and be legible.
[+] MUST: source md5sum matches upstream release

$ md5sum process-leksah-1.0.1.3.tar.gz 
5b1f20ec7045dc585b025e410f05d24d  process-leksah-1.0.1.3.tar.gz

[+] MUST: must successfully compile and build into binary rpms on one main arch

http://koji.fedoraproject.org/koji/taskinfo?taskID=2731847

[+] MUST: if necessary use ExcludeArch for other archs
[+] MUST: All build dependencies must be listed in BuildRequires
[NA] MUST: packages which store shared library files in the dynamic linker's
default paths, must call ldconfig in %post and %postun.
[+] MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example.
[+] MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.

Only minimal differences to cabal2spec template.

[+] MUST: The package must contain code, or permissable content.
[+] MUST: If a package includes something as %doc, it must not affect the
runtime of the application.
[+] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[NA] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release}
[+] MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[+] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.

Package is APPROVED.
Comment 5 Narasimhan 2011-01-22 01:35:18 EST
Thanks for the review.

New Package SCM Request
=======================
Package Name: ghc-process-leksah
Short Description: A library for dealing with system processes in leksah
Owners: narasim
Branches: f13 f14
InitialCC: haskell-sig
Comment 6 Jason Tibbitts 2011-01-22 10:49:48 EST
Git done (by process-git-requests).
Comment 7 Narasimhan 2011-01-29 00:43:32 EST
Fedora rawhide build at 

http://koji.fedoraproject.org/koji/buildinfo?buildID=216042
Comment 8 Jens Petersen 2011-02-08 02:48:30 EST
Seems already to be in updates now:

https://admin.fedoraproject.org/updates/ghc-process-leksah

Note You need to log in before you can comment on or make changes to this bug.